Bug 859140 (CVE-2013-0440) - CVE-2013-0440 OpenJDK: CPU consumption DoS via repeated SSL ClientHello packets (JSSE, 7192393)
Summary: CVE-2013-0440 OpenJDK: CPU consumption DoS via repeated SSL ClientHello packe...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-0440
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130201,repor...
Depends On:
Blocks: 856136 906729
TreeView+ depends on / blocked
 
Reported: 2012-09-20 16:05 UTC by Tomas Hoger
Modified: 2019-06-08 19:15 UTC (History)
4 users (show)

Fixed In Version: icedtea6 1.11.6, icedtea6 1.12.1, icedtea7 2.1.5, icedtea7 2.2.5, icedtea7 2.3.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-12 09:23:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0236 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2013-02-05 04:53:12 UTC
Red Hat Product Errata RHSA-2013:0237 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-02-05 04:53:02 UTC
Red Hat Product Errata RHSA-2013:0245 normal SHIPPED_LIVE Critical: java-1.6.0-openjdk security update 2013-02-09 00:35:08 UTC
Red Hat Product Errata RHSA-2013:0246 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2013-02-09 00:12:22 UTC
Red Hat Product Errata RHSA-2013:0247 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-02-09 00:24:43 UTC
Red Hat Product Errata RHSA-2013:0624 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2013-11-15 00:15:47 UTC
Red Hat Product Errata RHSA-2013:0625 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2013-11-15 00:15:10 UTC
Red Hat Product Errata RHSA-2013:0626 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2013-11-15 00:14:33 UTC
Red Hat Product Errata RHSA-2013:1455 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:30:21 UTC
Red Hat Product Errata RHSA-2013:1456 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:29:56 UTC

Description Tomas Hoger 2012-09-20 16:05:28 UTC
A flaw was discovered in the SSL/TLS in JSSE component of OpenJDK, that allows malicious clients to make an SSL/TLS server use an excessive amount of CPU time by repeatedly sending ClientHello packets.  Client can send pre-generated packet, causing the server to repeatedly perform expensive computations when generating ServerHello response.

This flaw is similar to OpenSSL CVE-2011-4619 (bug #771780), but the problem does not seem to be caused by an attempt to support server gated cryptography (SGC) and rather seems to be caused by an incorrect enforcing of the packet order during the SSL/TLS protocol handshake.

Note that the attacker needs to keep connection open and keep re-sending ClientHello packets to keep server busy.

Comment 4 Tomas Hoger 2013-02-01 21:17:45 UTC
Public now via Oracle Java CPU Feb 2013.  Fixed in Oracle Java SE 7 Update 13 and 6 Update 39.

External Reference:

http://www.oracle.com/technetwork/topics/security/javacpufeb2013-1841061.html

Comment 5 Tomas Hoger 2013-02-04 15:37:15 UTC
Upstream commit, as included in IcedTea7 repositories:

http://icedtea.classpath.org/hg/release/icedtea7-forest-2.3/jdk/rev/5c1e8b779c65

Comment 6 errata-xmlrpc 2013-02-04 23:54:35 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0237 https://rhn.redhat.com/errata/RHSA-2013-0237.html

Comment 7 errata-xmlrpc 2013-02-04 23:57:36 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0236 https://rhn.redhat.com/errata/RHSA-2013-0236.html

Comment 8 errata-xmlrpc 2013-02-08 19:16:50 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0246 https://rhn.redhat.com/errata/RHSA-2013-0246.html

Comment 9 errata-xmlrpc 2013-02-08 19:26:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0247 https://rhn.redhat.com/errata/RHSA-2013-0247.html

Comment 10 errata-xmlrpc 2013-02-08 19:36:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0245 https://rhn.redhat.com/errata/RHSA-2013-0245.html

Comment 11 Tomas Hoger 2013-02-14 10:14:00 UTC
Fixed in upstream IcedTea versions IcedTea6 1.11.6, and 1.12.1, and IcedTea7 2.1.5, 2.2.5, and 2.3.6:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021708.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021728.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021905.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021876.html

Note that version 2.3.5 was tagged in upstream mercurial including the security fixes, but was not released.  Only 2.3.6 was released, correcting problem introduced by security patches as included in 2.3.5.

Comment 12 errata-xmlrpc 2013-03-11 18:47:04 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0624 https://rhn.redhat.com/errata/RHSA-2013-0624.html

Comment 13 errata-xmlrpc 2013-03-11 18:57:56 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0626 https://rhn.redhat.com/errata/RHSA-2013-0626.html

Comment 14 errata-xmlrpc 2013-03-11 19:01:27 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0625 https://rhn.redhat.com/errata/RHSA-2013-0625.html

Comment 15 errata-xmlrpc 2013-10-23 16:32:20 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.5

Via RHSA-2013:1456 https://rhn.redhat.com/errata/RHSA-2013-1456.html

Comment 16 errata-xmlrpc 2013-10-23 17:06:21 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html


Note You need to log in before you can comment on or make changes to this bug.